Skip to main content
PATCH
/
:projectId
/
api
/
v7
/
app-notifications
/
mark-all-as-read
Mark All Notifications as Read
curl --request PATCH \
  --url https://api.replyke.com/api/v6/:projectId/api/v7/app-notifications/mark-all-as-read
{
  "markedAsRead": 123
}
Marks all unread notifications as read for the currently authenticated user. Only notifications that are currently isRead: false are updated.
This endpoint requires an authenticated user. Include a valid Authorization: Bearer <accessToken> header.

Response

Returns HTTP 200 with the number of notifications that were updated:
markedAsRead
number
The count of notifications that were updated from unread to read. Returns 0 if there were no unread notifications.
Example:
{
  "markedAsRead": 12
}

Error Responses

{
  "error": "Unauthorized",
  "code": "auth/unauthorized"
}

See Also